Bug 816099 - Guest doesn't let host know of open virtio console ports after resume
Guest doesn't let host know of open virtio console ports after resume
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Amit Shah
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 05:28 EDT by Amit Shah
Modified: 2012-06-20 09:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32-269.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:59:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2012-04-25 05:28:56 EDT
Description of problem:

After a guest is resumed from s3 or s4, an open port in the guest stops receiving data from host.

For example:

(host) nc -U /tmp/foo
(guest) cat /dev/vport0p1
(host) send some data; they will appear in guest terminal

<enter s4 state>

(host) send some data, they will not appear in guest terminal

Expected case is for data to start appearing in guest terminal after restore.

This behaviour will be exhibited only after bug 787974 is fixed.  That is because qemu wrongly marked all guest-side connections open before that bug was fixed.  With that bug fixed, this is exposed.
Comment 1 RHEL Product and Program Management 2012-04-26 09:30:22 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Jarod Wilson 2012-05-02 12:21:05 EDT
Patch(es) available on kernel-2.6.32-269.el6
Comment 6 Chao Yang 2012-05-11 01:33:56 EDT
I have reproduced this issue on kernel-2.6.32-268.el6, qemu-kvm-292.

Reproduction:
-------------
Steps: Exactly the same as in Description. Both S3 and S4 have this issue on vport0p1 and vport0p2. After resume, guest cannot receive data sent by host.

Verification:
-------------
Verified on kernel-2.6.32-270.el6, qemu-kvm-292. After resume from S3 and S4, guest can receive data sent by host.

Conclusion:
----------
As per above, this issue has been fixed correctly.
Comment 7 juzhang 2012-05-11 03:07:39 EDT
According to comment6,set this issue as verified.
Comment 9 errata-xmlrpc 2012-06-20 09:59:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.